Bug 595209 - Update to 1.14 and note change to sourceforge
Update to 1.14 and note change to sourceforge
Status: CLOSED DUPLICATE of bug 677246
Product: Fedora
Classification: Fedora
Component: blobwars (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Bruno Wolff III
Fedora Extras Quality Assurance
:
: 604586 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-24 00:24 EDT by Bruno Wolff III
Modified: 2011-02-14 08:55 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-14 08:55:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2010-05-24 00:24:20 EDT
Description of problem:
The upstream for blobwars is now at sourceforge and is at version 1.14.
This should be updated for F14.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Rahul Sundaram 2010-06-08 11:08:58 EDT
If you have commit access, feel can just go ahead
Comment 2 Bruno Wolff III 2010-06-08 11:48:26 EDT
I'm just waiting for time to do it.
Comment 3 Bruno Wolff III 2010-06-16 08:44:41 EDT
*** Bug 604586 has been marked as a duplicate of this bug. ***
Comment 4 Bug Zapper 2010-07-30 07:41:49 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bruno Wolff III 2010-10-04 00:29:41 EDT
I took a look at 1.14 on sourceforge and it isn't usable on its own, since the non-free music and sound has been stripped and not replaced with anything. The program will not work when they aren't present.
As a side note, the code quality is pretty low. I had to turn off -Werror because return values of IO calls were ignored all over the place. I also noticed use of sprintf with a string that appears to be entered by the user. While that probably isn't a security issue in this case, it's bad practice.
Comment 6 Bruno Wolff III 2010-11-06 11:43:28 EDT
There have been some upstream patches to fix some of the poor coding practices since the last release.
I should take another look at this when I get a chance.
Comment 7 Hans de Goede 2010-12-27 06:16:16 EST
Hi,

Just a quick note: I've been working on blobwars together with the Debian package maintainer (who also is the person behind the sourceforge blobwars version / project). I've recently completed searching / creating DFSG free replacement sounds for all sound effects, and Guus Sliepen (the Debian maintainer) has found replacements for all music. We hope to do a new sourceforge.net release soon, which will be 100% Free software and restore full playability (so including music and sounds).

This release will also include fixes for bug 553927 and bug 595094.

When this release is done I'll update the Fedora packages.

Regards,

Hans
Comment 8 Bruno Wolff III 2010-12-27 12:38:44 EST
Thanks. I was wondering where the artwork was supposed to come from, as the last sourceforge release didn't work without it. I was figuring that someday I would checkout what Debian was doing to see. But taht probably would have been pretty far out.
Comment 9 Bruno Wolff III 2011-02-14 08:40:58 EST
This is now superceded by bug 677246 (RFE for 1.18), but I'll keep it open for the bug references so that if 1.18 is complete, I'll remember to close those bugs.
Comment 10 Hans de Goede 2011-02-14 08:55:33 EST
(In reply to comment #9)
> This is now superceded by bug 677246 (RFE for 1.18), but I'll keep it open for
> the bug references so that if 1.18 is complete, I'll remember to close those
> bugs.

Agreed, marking this as a dup of 677246.

*** This bug has been marked as a duplicate of bug 677246 ***

Note You need to log in before you can comment on or make changes to this bug.